/***************************************************************************
                          cmutex.h  -  mutex
                             -------------------
    begin                : Sun Sep 30 2001
    copyright            : (C) 2001-2004 by Mathias Kster
    email                : mathen@users.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMUTEX_H
#define CMUTEX_H

#include <pthread.h>

#include <dclib/dcos.h>

class DLL_EXPORT CMutex {
public:
	/** */
	CMutex();
	/** */
	virtual ~CMutex();

	/** */
	int Lock();
	/** */
	bool TryLock();
	/** */
	int UnLock();

private:
	/** */
	bool m_bMutexInit;
	/** */
	pthread_mutex_t mutex;
};

#endif // CMUTEX_H
