/***************************************************************************
                           cbz.h  -  description
                             -------------------
    begin                : Wed May 15 2002
    copyright            : (C) 2002-2004 by Mathias Kster
    email                : mathen@users.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CBZ_H
#define CBZ_H

/**
  *@author Mathias Kster
  */

#include <dclib/dcos.h>

class CByteArray;

class DLL_EXPORT CBZ {

public:
	/** */
	static bool Decompress( CByteArray * src, CByteArray * dst );
	/** */
	static bool Compress( CByteArray * src, CByteArray * dst );

protected:
	/** */
	CBZ();
	/** */
	~CBZ();
};

#endif
